%define srcname uritemplate
%define module %{srcname}

Name:           python-%{srcname}
Version:        4.1.1
Release:        %mkrel 3
Summary:        Python implementation of RFC6570, URI Template
License:        ASL 2.0
Group:          Networking/Other
Url:            https://pypi.org/project/uritemplate/
Source:		https://pypi.io/packages/source/u/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
Conflicts:	python-google-api-python-client < 1.4

%description
This is a Python implementation of RFC6570, URI Template, and can expand
templates up to and including Level 4 in that specification.

%package -n python3-%{srcname}
Summary:        Python 3 implementation of RFC6570, URI Template
Group:          Networking/Other
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This is a Python 3 implementation of RFC6570, URI Template, and can expand
templates up to and including Level 4 in that specification.

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files uritemplate

%files -n python3-%{srcname} -f %{pyproject_files}


%changelog
* Sat Dec 16 2023 papoteur <papoteur> 4.1.1-3.mga10
+ Revision: 2018408
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 4.1.1-2.mga9
+ Revision: 1823110
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 4.1.1-1.mga9
+ Revision: 1781289
- version 4.1.1
- rebuild for python-3.10

* Fri Apr 23 2021 daviddavid <daviddavid> 3.0.1-2.mga9
+ Revision: 1718105
- rebuild for python 3.9

* Mon Sep 14 2020 guillomovitch <guillomovitch> 3.0.1-1.mga8
+ Revision: 1626415
- new version 3.0.1

* Thu Jul 23 2020 ovitters <ovitters> 3.0.0-4.mga8
+ Revision: 1608324
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 3.0.0-3.mga8
+ Revision: 1532602
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 3.0.0-2.mga8
+ Revision: 1442516
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 3.0.0-1.mga7
+ Revision: 1353211
- Rebuild for python3 3.7

* Wed Jan 09 2019 shlomif <shlomif> 0.6-7.mga7
+ Revision: 1353198
- Rebuild for python3 3.7

* Fri Sep 21 2018 umeabot <umeabot> 0.6-6.mga7
+ Revision: 1290449
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.6-5.mga7
+ Revision: 1135677
- Rebuild for python 3.6

* Thu Apr 28 2016 daviddavid <daviddavid> 0.6-4.mga6
+ Revision: 1007074
- use new python macros

* Sat Feb 20 2016 umeabot <umeabot> 0.6-3.mga6
+ Revision: 971105
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 0.6-2.mga6
+ Revision: 889283
- rebuild for python 3.5

* Mon Sep 14 2015 pterjan <pterjan> 0.6-1.mga6
+ Revision: 879038
- imported package python-uritemplate

